DefaultCommandLine (Grails 3.3.3)
Date: 2018-03-07

Package: org.grails.build.parsing

## [Java] Class DefaultCommandLine

- org.grails.build.parsing.DefaultCommandLine

- All Implemented Interfaces and Traits:
    CommandLine

      public class DefaultCommandLine
      extends java.lang.Object

  Implementation of the CommandLine interface.

  Authors:
    Graeme Rocher
  Since:
    2.0

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `static class` | `DefaultCommandLine.SpecifiedOption` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `addDeclaredOption(java.lang.String name, Option option)`
    `` | `void` | `addDeclaredOption(java.lang.String name, Option option, java.lang.Object value)`
    `` | `void` | `addRemainingArg(java.lang.String arg)`
    `` | `void` | `addSystemProperty(java.lang.String name, java.lang.String value)`
    `` | `void` | `addUndeclaredOption(java.lang.String option)`
    `` | `void` | `addUndeclaredOption(java.lang.String option, java.lang.Object value)`
    `` | `java.lang.String` | `getCommandName()`
    `` | `java.lang.String` | `getEnvironment()`
    `` | `java.lang.String[]` | `getRawArguments()`
    `` | `java.util.List<java.lang.String>` | `getRemainingArgs()`
    `` | `java.lang.String[]` | `getRemainingArgsArray()`
    `` | `java.lang.String` | `getRemainingArgsLineSeparated()`
    `` | `java.lang.String` | `getRemainingArgsString()`
    `` | `java.lang.String` | `getRemainingArgsWithOptionsString()`
    `` | `java.util.Properties` | `getSystemProperties()`
    `` | `java.util.Map<java.lang.String, java.lang.Object>` | `getUndeclaredOptions()`
    `` | `boolean` | `hasOption(java.lang.String name)`
    `` | `boolean` | `isEnvironmentSet()`
    `` | `Map.Entry<java.lang.String, java.lang.Object>` | `lastOption()`
    `` | `java.lang.String` | `lookupEnvironmentForCommand()`
    `` | `java.lang.Object` | `optionValue(java.lang.String name)`
    `` | `CommandLine` | `parseNew(java.lang.String[] args)`
    `` | `void` | `setCommand(java.lang.String name)`
    `` | `void` | `setCommandName(java.lang.String cmd)`
    `` | `void` | `setEnvironment(java.lang.String environment)`
    `` | `void` | `setRawArguments(java.lang.String[] args)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Method Detail

    - #### public void addDeclaredOption(java.lang.String name, Option option)

    - #### public void addDeclaredOption(java.lang.String name, Option option, java.lang.Object value)

    - #### public void addRemainingArg(java.lang.String arg)

    - #### public void addSystemProperty(java.lang.String name, java.lang.String value)

    - #### public void addUndeclaredOption(java.lang.String option)

    - #### public void addUndeclaredOption(java.lang.String option, java.lang.Object value)

    - #### public java.lang.String getCommandName()

    - #### public java.lang.String getEnvironment()

    - #### @java.lang.Override public java.lang.String[] getRawArguments()

    - #### public java.util.List<java.lang.String> getRemainingArgs()

    - #### public java.lang.String[] getRemainingArgsArray()

    - #### public java.lang.String getRemainingArgsLineSeparated()

    - #### public java.lang.String getRemainingArgsString()

    - #### @java.lang.Override public java.lang.String getRemainingArgsWithOptionsString()

    - #### public java.util.Properties getSystemProperties()

    - #### public java.util.Map<java.lang.String, java.lang.Object> getUndeclaredOptions()

    - #### public boolean hasOption(java.lang.String name)

    - #### public boolean isEnvironmentSet()

    - #### @java.lang.Override public Map.Entry<java.lang.String, java.lang.Object> lastOption()

    - #### public java.lang.String lookupEnvironmentForCommand()

    - #### public java.lang.Object optionValue(java.lang.String name)

    - #### @java.lang.Override public CommandLine parseNew(java.lang.String[] args)

    - #### public void setCommand(java.lang.String name)

    - #### public void setCommandName(java.lang.String cmd)

    - #### public void setEnvironment(java.lang.String environment)

    - #### public void setRawArguments(java.lang.String[] args)